admin-providers
Get All Providers Summary
Get summary of all providers (LLM, TTS, STT) with language support.
Comprehensive endpoint for frontend to populate all dropdowns. Includes language support for each provider.
GET
/
admin
/
providers
/
all
Get All Providers Summary
curl --request GET \
--url https://api.example.com/admin/providers/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/admin/providers/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/admin/providers/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
⌘I
Get All Providers Summary
